diff --git a/src/backend/snowball/libstemmer/stem_UTF_8_french.c b/src/backend/snowball/libstemmer/stem_UTF_8_french.c
index fa1507f2c6..80564a8e36 100644
--- a/src/backend/snowball/libstemmer/stem_UTF_8_french.c
+++ b/src/backend/snowball/libstemmer/stem_UTF_8_french.c
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #include "header.h"
 
@@ -370,82 +370,74 @@ static const unsigned char g_v[] = { 17, 65, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
 
 static const unsigned char g_keep_with_s[] = { 1, 65, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128 };
 
-static const symbol s_0[] = { 'u' };
-static const symbol s_1[] = { 'U' };
-static const symbol s_2[] = { 'i' };
-static const symbol s_3[] = { 'I' };
-static const symbol s_4[] = { 'y' };
-static const symbol s_5[] = { 'Y' };
-static const symbol s_6[] = { 'y' };
-static const symbol s_7[] = { 'Y' };
-static const symbol s_8[] = { 'q' };
-static const symbol s_9[] = { 'u' };
-static const symbol s_10[] = { 'U' };
-static const symbol s_11[] = { 'i' };
-static const symbol s_12[] = { 'u' };
-static const symbol s_13[] = { 'y' };
-static const symbol s_14[] = { 'i', 'c' };
-static const symbol s_15[] = { 'i', 'q', 'U' };
-static const symbol s_16[] = { 'l', 'o', 'g' };
-static const symbol s_17[] = { 'u' };
-static const symbol s_18[] = { 'e', 'n', 't' };
-static const symbol s_19[] = { 'a', 't' };
-static const symbol s_20[] = { 'e', 'u', 'x' };
-static const symbol s_21[] = { 'i' };
-static const symbol s_22[] = { 'a', 'b', 'l' };
-static const symbol s_23[] = { 'i', 'q', 'U' };
-static const symbol s_24[] = { 'a', 't' };
-static const symbol s_25[] = { 'i', 'c' };
-static const symbol s_26[] = { 'i', 'q', 'U' };
-static const symbol s_27[] = { 'e', 'a', 'u' };
-static const symbol s_28[] = { 'a', 'l' };
-static const symbol s_29[] = { 'e', 'u', 'x' };
-static const symbol s_30[] = { 'a', 'n', 't' };
-static const symbol s_31[] = { 'e', 'n', 't' };
-static const symbol s_32[] = { 'e' };
-static const symbol s_33[] = { 's' };
-static const symbol s_34[] = { 's' };
-static const symbol s_35[] = { 't' };
-static const symbol s_36[] = { 'i' };
-static const symbol s_37[] = { 'g', 'u' };
-static const symbol s_38[] = { 0xC3, 0xA9 };
-static const symbol s_39[] = { 0xC3, 0xA8 };
-static const symbol s_40[] = { 'e' };
-static const symbol s_41[] = { 'Y' };
-static const symbol s_42[] = { 'i' };
-static const symbol s_43[] = { 0xC3, 0xA7 };
-static const symbol s_44[] = { 'c' };
+static const symbol s_0[] = { 'U' };
+static const symbol s_1[] = { 'I' };
+static const symbol s_2[] = { 'Y' };
+static const symbol s_3[] = { 'Y' };
+static const symbol s_4[] = { 'U' };
+static const symbol s_5[] = { 'i' };
+static const symbol s_6[] = { 'u' };
+static const symbol s_7[] = { 'y' };
+static const symbol s_8[] = { 'i', 'c' };
+static const symbol s_9[] = { 'i', 'q', 'U' };
+static const symbol s_10[] = { 'l', 'o', 'g' };
+static const symbol s_11[] = { 'u' };
+static const symbol s_12[] = { 'e', 'n', 't' };
+static const symbol s_13[] = { 'a', 't' };
+static const symbol s_14[] = { 'e', 'u', 'x' };
+static const symbol s_15[] = { 'i' };
+static const symbol s_16[] = { 'a', 'b', 'l' };
+static const symbol s_17[] = { 'i', 'q', 'U' };
+static const symbol s_18[] = { 'a', 't' };
+static const symbol s_19[] = { 'i', 'c' };
+static const symbol s_20[] = { 'i', 'q', 'U' };
+static const symbol s_21[] = { 'e', 'a', 'u' };
+static const symbol s_22[] = { 'a', 'l' };
+static const symbol s_23[] = { 'e', 'u', 'x' };
+static const symbol s_24[] = { 'a', 'n', 't' };
+static const symbol s_25[] = { 'e', 'n', 't' };
+static const symbol s_26[] = { 'i' };
+static const symbol s_27[] = { 'g', 'u' };
+static const symbol s_28[] = { 0xC3, 0xA9 };
+static const symbol s_29[] = { 0xC3, 0xA8 };
+static const symbol s_30[] = { 'e' };
+static const symbol s_31[] = { 'i' };
+static const symbol s_32[] = { 0xC3, 0xA7 };
+static const symbol s_33[] = { 'c' };
 
-static int r_prelude(struct SN_env * z) {
+static int r_prelude(struct SN_env * z) { /* forwardmode */
     while(1) { /* repeat, line 38 */
         int c1 = z->c;
         while(1) { /* goto, line 38 */
             int c2 = z->c;
             {   int c3 = z->c; /* or, line 44 */
-                if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab3;
+                if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab3; /* grouping v, line 40 */
                 z->bra = z->c; /* [, line 40 */
                 {   int c4 = z->c; /* or, line 40 */
-                    if (!(eq_s(z, 1, s_0))) goto lab5;
+                    if (z->c == z->l || z->p[z->c] != 'u') goto lab5; /* literal, line 40 */
+                    z->c++;
                     z->ket = z->c; /* ], line 40 */
-                    if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab5;
-                    {   int ret = slice_from_s(z, 1, s_1); /* <-, line 40 */
+                    if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab5; /* grouping v, line 40 */
+                    {   int ret = slice_from_s(z, 1, s_0); /* <-, line 40 */
                         if (ret < 0) return ret;
                     }
                     goto lab4;
                 lab5:
                     z->c = c4;
-                    if (!(eq_s(z, 1, s_2))) goto lab6;
+                    if (z->c == z->l || z->p[z->c] != 'i') goto lab6; /* literal, line 41 */
+                    z->c++;
                     z->ket = z->c; /* ], line 41 */
-                    if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab6;
-                    {   int ret = slice_from_s(z, 1, s_3); /* <-, line 41 */
+                    if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab6; /* grouping v, line 41 */
+                    {   int ret = slice_from_s(z, 1, s_1); /* <-, line 41 */
                         if (ret < 0) return ret;
                     }
                     goto lab4;
                 lab6:
                     z->c = c4;
-                    if (!(eq_s(z, 1, s_4))) goto lab3;
+                    if (z->c == z->l || z->p[z->c] != 'y') goto lab3; /* literal, line 42 */
+                    z->c++;
                     z->ket = z->c; /* ], line 42 */
-                    {   int ret = slice_from_s(z, 1, s_5); /* <-, line 42 */
+                    {   int ret = slice_from_s(z, 1, s_2); /* <-, line 42 */
                         if (ret < 0) return ret;
                     }
                 }
@@ -454,20 +446,23 @@ static int r_prelude(struct SN_env * z) {
             lab3:
                 z->c = c3;
                 z->bra = z->c; /* [, line 45 */
-                if (!(eq_s(z, 1, s_6))) goto lab7;
+                if (z->c == z->l || z->p[z->c] != 'y') goto lab7; /* literal, line 45 */
+                z->c++;
                 z->ket = z->c; /* ], line 45 */
-                if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab7;
-                {   int ret = slice_from_s(z, 1, s_7); /* <-, line 45 */
+                if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab7; /* grouping v, line 45 */
+                {   int ret = slice_from_s(z, 1, s_3); /* <-, line 45 */
                     if (ret < 0) return ret;
                 }
                 goto lab2;
             lab7:
                 z->c = c3;
-                if (!(eq_s(z, 1, s_8))) goto lab1;
+                if (z->c == z->l || z->p[z->c] != 'q') goto lab1; /* literal, line 47 */
+                z->c++;
                 z->bra = z->c; /* [, line 47 */
-                if (!(eq_s(z, 1, s_9))) goto lab1;
+                if (z->c == z->l || z->p[z->c] != 'u') goto lab1; /* literal, line 47 */
+                z->c++;
                 z->ket = z->c; /* ], line 47 */
-                {   int ret = slice_from_s(z, 1, s_10); /* <-, line 47 */
+                {   int ret = slice_from_s(z, 1, s_4); /* <-, line 47 */
                     if (ret < 0) return ret;
                 }
             }
@@ -489,14 +484,14 @@ static int r_prelude(struct SN_env * z) {
     return 1;
 }
 
-static int r_mark_regions(struct SN_env * z) {
-    z->I[0] = z->l;
-    z->I[1] = z->l;
-    z->I[2] = z->l;
+static int r_mark_regions(struct SN_env * z) { /* forwardmode */
+    z->I[0] = z->l; /* $pV = <integer expression>, line 52 */
+    z->I[1] = z->l; /* $p1 = <integer expression>, line 53 */
+    z->I[2] = z->l; /* $p2 = <integer expression>, line 54 */
     {   int c1 = z->c; /* do, line 56 */
         {   int c2 = z->c; /* or, line 58 */
-            if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab2;
-            if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab2;
+            if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab2; /* grouping v, line 57 */
+            if (in_grouping_U(z, g_v, 97, 251, 0)) goto lab2; /* grouping v, line 57 */
             {   int ret = skip_utf8(z->p, z->c, 0, z->l, 1);
                 if (ret < 0) goto lab2;
                 z->c = ret; /* next, line 57 */
@@ -504,8 +499,8 @@ static int r_mark_regions(struct SN_env * z) {
             goto lab1;
         lab2:
             z->c = c2;
-            if (z->c + 2 >= z->l || z->p[z->c + 2] >> 5 != 3 || !((331776 >> (z->p[z->c + 2] & 0x1f)) & 1)) goto lab3;
-            if (!(find_among(z, a_0, 3))) goto lab3; /* among, line 59 */
+            if (z->c + 2 >= z->l || z->p[z->c + 2] >> 5 != 3 || !((331776 >> (z->p[z->c + 2] & 0x1f)) & 1)) goto lab3; /* among, line 59 */
+            if (!(find_among(z, a_0, 3))) goto lab3;
             goto lab1;
         lab3:
             z->c = c2;
@@ -553,29 +548,28 @@ static int r_mark_regions(struct SN_env * z) {
     return 1;
 }
 
-static int r_postlude(struct SN_env * z) {
+static int r_postlude(struct SN_env * z) { /* forwardmode */
     int among_var;
     while(1) { /* repeat, line 75 */
         int c1 = z->c;
         z->bra = z->c; /* [, line 77 */
-        if (z->c >= z->l || z->p[z->c + 0] >> 5 != 2 || !((35652096 >> (z->p[z->c + 0] & 0x1f)) & 1)) among_var = 4; else
-        among_var = find_among(z, a_1, 4); /* substring, line 77 */
+        if (z->c >= z->l || z->p[z->c + 0] >> 5 != 2 || !((35652096 >> (z->p[z->c + 0] & 0x1f)) & 1)) among_var = 4; else /* substring, line 77 */
+        among_var = find_among(z, a_1, 4);
         if (!(among_var)) goto lab0;
         z->ket = z->c; /* ], line 77 */
-        switch(among_var) {
-            case 0: goto lab0;
+        switch (among_var) { /* among, line 77 */
             case 1:
-                {   int ret = slice_from_s(z, 1, s_11); /* <-, line 78 */
+                {   int ret = slice_from_s(z, 1, s_5); /* <-, line 78 */
                     if (ret < 0) return ret;
                 }
                 break;
             case 2:
-                {   int ret = slice_from_s(z, 1, s_12); /* <-, line 79 */
+                {   int ret = slice_from_s(z, 1, s_6); /* <-, line 79 */
                     if (ret < 0) return ret;
                 }
                 break;
             case 3:
-                {   int ret = slice_from_s(z, 1, s_13); /* <-, line 80 */
+                {   int ret = slice_from_s(z, 1, s_7); /* <-, line 80 */
                     if (ret < 0) return ret;
                 }
                 break;
@@ -594,53 +588,50 @@ static int r_postlude(struct SN_env * z) {
     return 1;
 }
 
-static int r_RV(struct SN_env * z) {
-    if (!(z->I[0] <= z->c)) return 0;
+static int r_RV(struct SN_env * z) { /* backwardmode */
+    if (!(z->I[0] <= z->c)) return 0; /* $(<integer expression> <= <integer expression>), line 87 */
     return 1;
 }
 
-static int r_R1(struct SN_env * z) {
-    if (!(z->I[1] <= z->c)) return 0;
+static int r_R1(struct SN_env * z) { /* backwardmode */
+    if (!(z->I[1] <= z->c)) return 0; /* $(<integer expression> <= <integer expression>), line 88 */
     return 1;
 }
 
-static int r_R2(struct SN_env * z) {
-    if (!(z->I[2] <= z->c)) return 0;
+static int r_R2(struct SN_env * z) { /* backwardmode */
+    if (!(z->I[2] <= z->c)) return 0; /* $(<integer expression> <= <integer expression>), line 89 */
     return 1;
 }
 
-static int r_standard_suffix(struct SN_env * z) {
+static int r_standard_suffix(struct SN_env * z) { /* backwardmode */
     int among_var;
     z->ket = z->c; /* [, line 92 */
     among_var = find_among_b(z, a_4, 43); /* substring, line 92 */
     if (!(among_var)) return 0;
     z->bra = z->c; /* ], line 92 */
-    switch(among_var) {
-        case 0: return 0;
+    switch (among_var) { /* among, line 92 */
         case 1:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 96 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 96 */
+                if (ret <= 0) return ret;
             }
             {   int ret = slice_del(z); /* delete, line 96 */
                 if (ret < 0) return ret;
             }
             break;
         case 2:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 99 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 99 */
+                if (ret <= 0) return ret;
             }
             {   int ret = slice_del(z); /* delete, line 99 */
                 if (ret < 0) return ret;
             }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 100 */
+            {   int m1 = z->l - z->c; (void)m1; /* try, line 100 */
                 z->ket = z->c; /* [, line 100 */
-                if (!(eq_s_b(z, 2, s_14))) { z->c = z->l - m_keep; goto lab0; }
+                if (!(eq_s_b(z, 2, s_8))) { z->c = z->l - m1; goto lab0; } /* literal, line 100 */
                 z->bra = z->c; /* ], line 100 */
-                {   int m1 = z->l - z->c; (void)m1; /* or, line 100 */
-                    {   int ret = r_R2(z);
-                        if (ret == 0) goto lab2; /* call R2, line 100 */
+                {   int m2 = z->l - z->c; (void)m2; /* or, line 100 */
+                    {   int ret = r_R2(z); /* call R2, line 100 */
+                        if (ret == 0) goto lab2;
                         if (ret < 0) return ret;
                     }
                     {   int ret = slice_del(z); /* delete, line 100 */
@@ -648,8 +639,8 @@ static int r_standard_suffix(struct SN_env * z) {
                     }
                     goto lab1;
                 lab2:
-                    z->c = z->l - m1;
-                    {   int ret = slice_from_s(z, 3, s_15); /* <-, line 100 */
+                    z->c = z->l - m2;
+                    {   int ret = slice_from_s(z, 3, s_9); /* <-, line 100 */
                         if (ret < 0) return ret;
                     }
                 }
@@ -659,60 +650,55 @@ static int r_standard_suffix(struct SN_env * z) {
             }
             break;
         case 3:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 104 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 104 */
+                if (ret <= 0) return ret;
             }
-            {   int ret = slice_from_s(z, 3, s_16); /* <-, line 104 */
+            {   int ret = slice_from_s(z, 3, s_10); /* <-, line 104 */
                 if (ret < 0) return ret;
             }
             break;
         case 4:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 107 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 107 */
+                if (ret <= 0) return ret;
             }
-            {   int ret = slice_from_s(z, 1, s_17); /* <-, line 107 */
+            {   int ret = slice_from_s(z, 1, s_11); /* <-, line 107 */
                 if (ret < 0) return ret;
             }
             break;
         case 5:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 110 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 110 */
+                if (ret <= 0) return ret;
             }
-            {   int ret = slice_from_s(z, 3, s_18); /* <-, line 110 */
+            {   int ret = slice_from_s(z, 3, s_12); /* <-, line 110 */
                 if (ret < 0) return ret;
             }
             break;
         case 6:
-            {   int ret = r_RV(z);
-                if (ret == 0) return 0; /* call RV, line 114 */
-                if (ret < 0) return ret;
+            {   int ret = r_RV(z); /* call RV, line 114 */
+                if (ret <= 0) return ret;
             }
             {   int ret = slice_del(z); /* delete, line 114 */
                 if (ret < 0) return ret;
             }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 115 */
+            {   int m3 = z->l - z->c; (void)m3; /* try, line 115 */
                 z->ket = z->c; /* [, line 116 */
                 among_var = find_among_b(z, a_2, 6); /* substring, line 116 */
-                if (!(among_var)) { z->c = z->l - m_keep; goto lab3; }
+                if (!(among_var)) { z->c = z->l - m3; goto lab3; }
                 z->bra = z->c; /* ], line 116 */
-                switch(among_var) {
-                    case 0: { z->c = z->l - m_keep; goto lab3; }
+                switch (among_var) { /* among, line 116 */
                     case 1:
-                        {   int ret = r_R2(z);
-                            if (ret == 0) { z->c = z->l - m_keep; goto lab3; } /* call R2, line 117 */
+                        {   int ret = r_R2(z); /* call R2, line 117 */
+                            if (ret == 0) { z->c = z->l - m3; goto lab3; }
                             if (ret < 0) return ret;
                         }
                         {   int ret = slice_del(z); /* delete, line 117 */
                             if (ret < 0) return ret;
                         }
                         z->ket = z->c; /* [, line 117 */
-                        if (!(eq_s_b(z, 2, s_19))) { z->c = z->l - m_keep; goto lab3; }
+                        if (!(eq_s_b(z, 2, s_13))) { z->c = z->l - m3; goto lab3; } /* literal, line 117 */
                         z->bra = z->c; /* ], line 117 */
-                        {   int ret = r_R2(z);
-                            if (ret == 0) { z->c = z->l - m_keep; goto lab3; } /* call R2, line 117 */
+                        {   int ret = r_R2(z); /* call R2, line 117 */
+                            if (ret == 0) { z->c = z->l - m3; goto lab3; }
                             if (ret < 0) return ret;
                         }
                         {   int ret = slice_del(z); /* delete, line 117 */
@@ -720,9 +706,9 @@ static int r_standard_suffix(struct SN_env * z) {
                         }
                         break;
                     case 2:
-                        {   int m2 = z->l - z->c; (void)m2; /* or, line 118 */
-                            {   int ret = r_R2(z);
-                                if (ret == 0) goto lab5; /* call R2, line 118 */
+                        {   int m4 = z->l - z->c; (void)m4; /* or, line 118 */
+                            {   int ret = r_R2(z); /* call R2, line 118 */
+                                if (ret == 0) goto lab5;
                                 if (ret < 0) return ret;
                             }
                             {   int ret = slice_del(z); /* delete, line 118 */
@@ -730,20 +716,20 @@ static int r_standard_suffix(struct SN_env * z) {
                             }
                             goto lab4;
                         lab5:
-                            z->c = z->l - m2;
-                            {   int ret = r_R1(z);
-                                if (ret == 0) { z->c = z->l - m_keep; goto lab3; } /* call R1, line 118 */
+                            z->c = z->l - m4;
+                            {   int ret = r_R1(z); /* call R1, line 118 */
+                                if (ret == 0) { z->c = z->l - m3; goto lab3; }
                                 if (ret < 0) return ret;
                             }
-                            {   int ret = slice_from_s(z, 3, s_20); /* <-, line 118 */
+                            {   int ret = slice_from_s(z, 3, s_14); /* <-, line 118 */
                                 if (ret < 0) return ret;
                             }
                         }
                     lab4:
                         break;
                     case 3:
-                        {   int ret = r_R2(z);
-                            if (ret == 0) { z->c = z->l - m_keep; goto lab3; } /* call R2, line 120 */
+                        {   int ret = r_R2(z); /* call R2, line 120 */
+                            if (ret == 0) { z->c = z->l - m3; goto lab3; }
                             if (ret < 0) return ret;
                         }
                         {   int ret = slice_del(z); /* delete, line 120 */
@@ -751,11 +737,11 @@ static int r_standard_suffix(struct SN_env * z) {
                         }
                         break;
                     case 4:
-                        {   int ret = r_RV(z);
-                            if (ret == 0) { z->c = z->l - m_keep; goto lab3; } /* call RV, line 122 */
+                        {   int ret = r_RV(z); /* call RV, line 122 */
+                            if (ret == 0) { z->c = z->l - m3; goto lab3; }
                             if (ret < 0) return ret;
                         }
-                        {   int ret = slice_from_s(z, 1, s_21); /* <-, line 122 */
+                        {   int ret = slice_from_s(z, 1, s_15); /* <-, line 122 */
                             if (ret < 0) return ret;
                         }
                         break;
@@ -765,25 +751,23 @@ static int r_standard_suffix(struct SN_env * z) {
             }
             break;
         case 7:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 129 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 129 */
+                if (ret <= 0) return ret;
             }
             {   int ret = slice_del(z); /* delete, line 129 */
                 if (ret < 0) return ret;
             }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 130 */
+            {   int m5 = z->l - z->c; (void)m5; /* try, line 130 */
                 z->ket = z->c; /* [, line 131 */
-                if (z->c - 1 <= z->lb || z->p[z->c - 1] >> 5 != 3 || !((4198408 >> (z->p[z->c - 1] & 0x1f)) & 1)) { z->c = z->l - m_keep; goto lab6; }
-                among_var = find_among_b(z, a_3, 3); /* substring, line 131 */
-                if (!(among_var)) { z->c = z->l - m_keep; goto lab6; }
+                if (z->c - 1 <= z->lb || z->p[z->c - 1] >> 5 != 3 || !((4198408 >> (z->p[z->c - 1] & 0x1f)) & 1)) { z->c = z->l - m5; goto lab6; } /* substring, line 131 */
+                among_var = find_among_b(z, a_3, 3);
+                if (!(among_var)) { z->c = z->l - m5; goto lab6; }
                 z->bra = z->c; /* ], line 131 */
-                switch(among_var) {
-                    case 0: { z->c = z->l - m_keep; goto lab6; }
+                switch (among_var) { /* among, line 131 */
                     case 1:
-                        {   int m3 = z->l - z->c; (void)m3; /* or, line 132 */
-                            {   int ret = r_R2(z);
-                                if (ret == 0) goto lab8; /* call R2, line 132 */
+                        {   int m6 = z->l - z->c; (void)m6; /* or, line 132 */
+                            {   int ret = r_R2(z); /* call R2, line 132 */
+                                if (ret == 0) goto lab8;
                                 if (ret < 0) return ret;
                             }
                             {   int ret = slice_del(z); /* delete, line 132 */
@@ -791,17 +775,17 @@ static int r_standard_suffix(struct SN_env * z) {
                             }
                             goto lab7;
                         lab8:
-                            z->c = z->l - m3;
-                            {   int ret = slice_from_s(z, 3, s_22); /* <-, line 132 */
+                            z->c = z->l - m6;
+                            {   int ret = slice_from_s(z, 3, s_16); /* <-, line 132 */
                                 if (ret < 0) return ret;
                             }
                         }
                     lab7:
                         break;
                     case 2:
-                        {   int m4 = z->l - z->c; (void)m4; /* or, line 133 */
-                            {   int ret = r_R2(z);
-                                if (ret == 0) goto lab10; /* call R2, line 133 */
+                        {   int m7 = z->l - z->c; (void)m7; /* or, line 133 */
+                            {   int ret = r_R2(z); /* call R2, line 133 */
+                                if (ret == 0) goto lab10;
                                 if (ret < 0) return ret;
                             }
                             {   int ret = slice_del(z); /* delete, line 133 */
@@ -809,16 +793,16 @@ static int r_standard_suffix(struct SN_env * z) {
                             }
                             goto lab9;
                         lab10:
-                            z->c = z->l - m4;
-                            {   int ret = slice_from_s(z, 3, s_23); /* <-, line 133 */
+                            z->c = z->l - m7;
+                            {   int ret = slice_from_s(z, 3, s_17); /* <-, line 133 */
                                 if (ret < 0) return ret;
                             }
                         }
                     lab9:
                         break;
                     case 3:
-                        {   int ret = r_R2(z);
-                            if (ret == 0) { z->c = z->l - m_keep; goto lab6; } /* call R2, line 134 */
+                        {   int ret = r_R2(z); /* call R2, line 134 */
+                            if (ret == 0) { z->c = z->l - m5; goto lab6; }
                             if (ret < 0) return ret;
                         }
                         {   int ret = slice_del(z); /* delete, line 134 */
@@ -831,30 +815,29 @@ static int r_standard_suffix(struct SN_env * z) {
             }
             break;
         case 8:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 141 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 141 */
+                if (ret <= 0) return ret;
             }
             {   int ret = slice_del(z); /* delete, line 141 */
                 if (ret < 0) return ret;
             }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 142 */
+            {   int m8 = z->l - z->c; (void)m8; /* try, line 142 */
                 z->ket = z->c; /* [, line 142 */
-                if (!(eq_s_b(z, 2, s_24))) { z->c = z->l - m_keep; goto lab11; }
+                if (!(eq_s_b(z, 2, s_18))) { z->c = z->l - m8; goto lab11; } /* literal, line 142 */
                 z->bra = z->c; /* ], line 142 */
-                {   int ret = r_R2(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab11; } /* call R2, line 142 */
+                {   int ret = r_R2(z); /* call R2, line 142 */
+                    if (ret == 0) { z->c = z->l - m8; goto lab11; }
                     if (ret < 0) return ret;
                 }
                 {   int ret = slice_del(z); /* delete, line 142 */
                     if (ret < 0) return ret;
                 }
                 z->ket = z->c; /* [, line 142 */
-                if (!(eq_s_b(z, 2, s_25))) { z->c = z->l - m_keep; goto lab11; }
+                if (!(eq_s_b(z, 2, s_19))) { z->c = z->l - m8; goto lab11; } /* literal, line 142 */
                 z->bra = z->c; /* ], line 142 */
-                {   int m5 = z->l - z->c; (void)m5; /* or, line 142 */
-                    {   int ret = r_R2(z);
-                        if (ret == 0) goto lab13; /* call R2, line 142 */
+                {   int m9 = z->l - z->c; (void)m9; /* or, line 142 */
+                    {   int ret = r_R2(z); /* call R2, line 142 */
+                        if (ret == 0) goto lab13;
                         if (ret < 0) return ret;
                     }
                     {   int ret = slice_del(z); /* delete, line 142 */
@@ -862,8 +845,8 @@ static int r_standard_suffix(struct SN_env * z) {
                     }
                     goto lab12;
                 lab13:
-                    z->c = z->l - m5;
-                    {   int ret = slice_from_s(z, 3, s_26); /* <-, line 142 */
+                    z->c = z->l - m9;
+                    {   int ret = slice_from_s(z, 3, s_20); /* <-, line 142 */
                         if (ret < 0) return ret;
                     }
                 }
@@ -873,23 +856,22 @@ static int r_standard_suffix(struct SN_env * z) {
             }
             break;
         case 9:
-            {   int ret = slice_from_s(z, 3, s_27); /* <-, line 144 */
+            {   int ret = slice_from_s(z, 3, s_21); /* <-, line 144 */
                 if (ret < 0) return ret;
             }
             break;
         case 10:
-            {   int ret = r_R1(z);
-                if (ret == 0) return 0; /* call R1, line 145 */
-                if (ret < 0) return ret;
+            {   int ret = r_R1(z); /* call R1, line 145 */
+                if (ret <= 0) return ret;
             }
-            {   int ret = slice_from_s(z, 2, s_28); /* <-, line 145 */
+            {   int ret = slice_from_s(z, 2, s_22); /* <-, line 145 */
                 if (ret < 0) return ret;
             }
             break;
         case 11:
-            {   int m6 = z->l - z->c; (void)m6; /* or, line 147 */
-                {   int ret = r_R2(z);
-                    if (ret == 0) goto lab15; /* call R2, line 147 */
+            {   int m10 = z->l - z->c; (void)m10; /* or, line 147 */
+                {   int ret = r_R2(z); /* call R2, line 147 */
+                    if (ret == 0) goto lab15;
                     if (ret < 0) return ret;
                 }
                 {   int ret = slice_del(z); /* delete, line 147 */
